/*
   HISTORY

14-NOV-02   J-03-38   $$1   JCN     Submitted.
07-MAR-03   K-01-03   $$2   JCN     UNIX support
11-SEP-09                   JCN     changed routines for pfcCreate(className) and pfcIsWindows()
22-FEB-10					JCN		in der Routine ParamFilterList() wurde "PNT" aufgenommen. Die BevelGears von HWF haben sehr viele Punkt,
									die nicht angezeigt werden mssen.
 */
 
/* 
========================================================================================
====  own functions  ====
========================================================================================
function TestMe ()
function isDrawing (pCurModel)
function getObject (pCurModel)
function GetParameterName(pParamName,pLanguage)
function MouseClickonSheet(pX,pY,pSheetSize)
function Alphabeth(pNumber, pLetter)
function Alphabeth : pNumber = " + pNumber + "  pLetter = "+ pLetter);
function UserName(pUNWindows)
function GKNDatum()
function CloseWindow()
function SheetSize(SheetData)

---------------------------------------------------
----  Parameter  ----
function SetParamValue(pParamName, pParamValue, pParamType)    // N A M E    ---    V A L U E    ---    T Y P E
function GetParamValue(pParameter)
function GetTypeForParam(pParameter)
function CreateParameter(pParamName, pParamType, pParamValue)  // N A M E    ---    T Y P E    ---    V A L U E 
function CheckDoubleValue(Input)
function CheckIntegerValue(Input)
function addParameterFromList(pParameterMenu)

---------------------------------------------------
----  Listen  ----
function ParamFilterList()
function ParamToDeleteList()
function ParamTTGList()
function ClassificationList()

---------------------------------------------------
----  Input Observation  ----
function numbersOnly(el)

---------------------------------------------------
----  Write to a File  ----
function FSOCreateTextFile(pPfad, pDatei)
function TextStreamWrite(pPfad, pDatei, pText)

---------------------------------------------------
----  Time Difference  ----
function TimeDifference(pStartTime, pEndTime)
=======================================================================================
function isProEEmbeddedBrowser ()
function pfcIsWindows()
function pfcCreate(className)
function pfcGetProESession ()
function pfcGetScript ()
function pfcGetExceptionType (err)
=======================================================================================
*/

function TestMe ()
{
	alert ("TEST ME PLEASE");
}
//#############################################################################################################

function isDrawing (pCurModel)
// check if there is a drawing
{
	isDrawing = false;
	if (CurModel!=null)
	{
		var MdlType = pCurModel.Type;
	
		if (MdlType == pfcCreate("pfcModelType").MDL_DRAWING)
			// if (MdlType == 2)    also works
			return isDrawing = true
		else
			return isDrawing = false
	}
	else
	{
		return isDrawing = false
	}
}
//#############################################################################################################

function getObject (pCurModel)
{
	// alert ("getObject");
	// //   Check Type of Model on Screen.
	// // o Is it Assembly?
	// // o Is it Part?
	// // o Is it Blank?
	if (pCurModel!=null)
	{
		var MdlType = pCurModel.Type;
		switch (MdlType)
		{
		case pfcCreate("pfcModelType").MDL_ASSEMBLY:
			//process assembly
			return "ASM";
			break;
		case pfcCreate("pfcModelType").MDL_PART:
			return "PRT";
			break;	
		case pfcCreate("pfcModelType").MDL_Drawing:
			return "DRW";
			break;	
		default:
			return "NULL";
			break;
		}
	}
	else
	{
		return "NULL";
	}
}	
//#############################################################################################################

function MouseClickonSheet(pX,pY,pSheetSize)
{
	alert (pX + "             " + pY +"          "+ pSheetSize)

	 var LetterpX = "unknown";
	 var NumberY  = "unknown";

	if (pSheetSize == "A3")
	{
		//----- X-Richtung -----
		if (pX >=23.809 && pX < 142.857)
			LetterpX = "1";

		if (pX >=142.857 && pX < 261.905)
			LetterpX = "2";

		if (pX >=261.905 && pX < 380.953)
			LetterpX = "3";
			
		if (pX >=380.953 && pX < 500)
			LetterpX = "4";			

		if (pX >=500 && pX < 619.049)
			LetterpX = "5";				

		if (pX >=619.049 && pX < 738.097)
			LetterpX = "6";	
			
		if (pX >=738.097 && pX < 857.145)
			LetterpX = "7";

		if (pX >=857.145 && pX < 976.190)
			LetterpX = "8";				
		
		
		//----- Y-Richtung -----		
		if (pY >=92.111 && pY < 183.780)
			NumberY = "F";				

		if (pY >=183.780 && pY < 302.827)
			NumberY = "E";							
		
		if (pY >=302.827 && pY < 421.875)
			NumberY = "D";							
		
		if (pY >=421.875 && pY < 540.923)
			NumberY = "C";							

		if (pY >=540.923 && pY < 659.971)
			NumberY = "B";							

		if (pY >=659.971 && pY < 751.637)
			NumberY = "A";					
	}

	/*---------------------------------------------------------*/
	
	/* --- A2 --- */	
	
	if (pSheetSize == "A2")
	{
		//----- X-Richtung -----
		if (pX >=16.835 && pX < 131.313)
			LetterpX = "1";

		if (pX >=131.313 && pX < 254.209)
			LetterpX = "2";

		if (pX >=254.209 && pX < 377.104)
			LetterpX = "3";
			
		if (pX >=377.104 && pX < 500)
			LetterpX = "4";			

		if (pX >=500 && pX < 622.896)
			LetterpX = "5";				

		if (pX >=622.896 && pX < 745.791)
			LetterpX = "6";	
			
		if (pX >=745.791 && pX < 868.687)
			LetterpX = "7";

		if (pX >=868.687 && pX < 983)
			LetterpX = "8";				
		
		
		//----- Y-Richtung -----		
		if (pY >=85.175 && pY < 197.408)
			NumberY = "F";				

		if (pY >=197.408 && pY < 309.641)
			NumberY = "E";							
		
		if (pY >=309.641 && pY < 421.875)
			NumberY = "D";							
		
		if (pY >=421.875 && pY < 534.109)
			NumberY = "C";							

		if (pY >=534.109 && pY < 646.342)
			NumberY = "B";							

		if (pY >=646.342 && pY < 758.575)
			NumberY = "A";							
	}

	if (pSheetSize == "A1")
	{
		//----- X-Richtung -----
		if (pX >=11.890 && pX < 88.288)
			LetterpX = "1";

		if (pX >=88.288 && pX < 170.630)
			LetterpX = "2";

		if (pX >=170.630 && pX < 252.973)
			LetterpX = "3";
			
		if (pX >=252.973 && pX < 335.315)
			LetterpX = "4";			

		if (pX >=335.315 && pX < 417.658)
			LetterpX = "5";				

		if (pX >=417.658 && pX < 500)
			LetterpX = "6";	
			
		if (pX >=500 && pX < 582.343)
			LetterpX = "7";

		if (pX >=582.343 && pX < 664.685)
			LetterpX = "8";				
		
		if (pX >=664.685 && pX < 747.027)
			LetterpX = "9";				

		if (pX >=747.027 && pX < 829.370)
			LetterpX = "10";	
			
		if (pX >=829.370 && pX < 911.712)
			LetterpX = "11";

		if (pX >=911.712 && pX < 988.109)
			LetterpX = "12";				
		
		//----- Y-Richtung -----		
		if (pY >=80.615 && pY < 165.930)
			NumberY = "H";				

		if (pY >=165.930 && pY < 251.245)
			NumberY = "G";							
		
		if (pY >=251.245 && pY < 336.560)
			NumberY = "F";							
		
		if (pY >=336.560 && pY < 421.875)
			NumberY = "E";							

		if (pY >=421.875 && pY < 507.190)
			NumberY = "D";							

		if (pY >=507.190 && pY < 592.505)
			NumberY = "C";							

		if (pY >=592.505 && pY < 677.820)
			NumberY = "B";							

		if (pY >=677.820 && pY < 763.135)
			NumberY = "A";					
	}

	 if (pSheetSize == "A0")
	 {	 
			//----- X-Richtung -----
		if (pX >=8.410 && pX < 66.180)
			LetterpX = "1";

		if (pX >=66.180 && pX < 128.154)
			LetterpX = "2";

		if (pX >=128.154 && pX < 190.128)
			LetterpX = "3";
			
		if (pX >=190.128 && pX < 252.102)
			LetterpX = "4";			

		if (pX >=252.102 && pX < 314.076)
			LetterpX = "5";				

		if (pX >=314.076 && pX < 376.05)
			LetterpX = "6";	
			
		if (pX >=376.05 && pX < 438.024)
			LetterpX = "7";

		if (pX >=438.024 && pX < 500)
			LetterpX = "8";				
		
		if (pX >=500 && pX < 561.974)
			LetterpX = "9";				

		if (pX >=561.974 && pX < 623.946)
			LetterpX = "10";	
			
		if (pX >=623.946 && pX < 685.92)
			LetterpX = "11";

		if (pX >=685.92 && pX < 747.894)
			LetterpX = "12";				
			
		if (pX >=747.894 && pX < 809.868)
			LetterpX = "13";				

		if (pX >=809.868 && pX < 871.842)
			LetterpX = "14";	
			
		if (pX >=871.842 && pX < 933.816)
			LetterpX = "15";

		if (pX >=933.816 && pX < 991.590)
			LetterpX = "16";							
		
		//----- Y-Richtung -----		
		if (pY >=76.627 && pY < 134.168)
			NumberY = "M";				

		if (pY >=134.168 && pY < 191.710)
			NumberY = "L";							
		
		if (pY >=191.710 && pY < 249.252)
			NumberY = "K";							
		
		if (pY >=249.252 && pY < 306.794)
			NumberY = "I";							
		
		if (pY >=306.794 && pY < 364.336)
			NumberY = "H";				

		if (pY >=364.336 && pY < 421.878)
			NumberY = "G";							
		
		if (pY >=421.878 && pY < 479.42)
			NumberY = "F";							
		
		if (pY >=479.42 && pY < 536.962)
			NumberY = "E";							

		if (pY >=536.962 && pY < 594.504)
			NumberY = "D";							

		if (pY >=594.504 && pY < 652.046)
			NumberY = "C";							

		if (pY >=652.046 && pY < 709.588)
			NumberY = "B";							

		if (pY >=709.588 && pY < 767.123)
			NumberY = "A";					
	}
	var ZielXY = NumberY + LetterpX		
	//alert (ZielXY);
	return  ZielXY;
}
//#############################################################################################################

function Alphabeth(pNumber, pLetter)
{
	//alert("function Alphabeth : pNumber = " + pNumber + "  pLetter = "+ pLetter);
	
	// width
	var Number = new Array();
	Number[0] = "1";
	Number[1] = "2";
	Number[2] = "3";
	Number[3] = "4";
	Number[4] = "5";
	Number[5] = "6";
	Number[6] = "7";
	Number[7] = "8";
	Number[8] = "9";
	Number[9] = "10";
	Number[10] = "11";
	Number[11] = "12";
	Number[12] = "13";
	
	//alert (Number[pNumber]);

	// height
	var ABC = new Array();
	ABC[0]="A";
	ABC[1]="B";
	ABC[2]="C";
	ABC[3]="D";
	ABC[4]="E";
	ABC[5]="F";
	ABC[6]="G";
	ABC[7]="H";
	ABC[8]="I";
	ABC[9]="J";
	ABC[10]="K";
	ABC[11]="L";
	ABC[12]="M";
	ABC[13]="N";
	ABC[14]="O";
	ABC[15]="P";
	ABC[16]="Q";
	ABC[17]="R";
	ABC[18]="S";
	ABC[19]="T";
	ABC[20]="U";
	ABC[21]="V";
	ABC[22]="W";
	ABC[23]="X";
	ABC[24]="Y";
	ABC[25]="Z";
	
	//alert (ABC[pLetter]);	
}

function alphabeth(pLetter)
{
	var LettersOfAlphabeth ="AaBbCcDdEeFfGgHhIiJjKkLlMmNnOoPpQqRrSsTtUuVvWwXxYyZz";
	if (LettersOfAlphabeth.indexOf(pLetter) != -1)
	{
		return true;
	}
	else
	{
		return false;
	}

}


//#############################################################################################################

function GetParameterName(pParamName,pLanguage)
{
	var ParameterNameList = new Array();
	
	ParameterNameList[0] = "MOD_NO";
	ParameterNameList[1] = "MOD_TEXT";
	ParameterNameList[2] = "MOD_DATE";
	ParameterNameList[3] = "MOD_BY";
//	===  search parameter  ==============================================================
	ParameterNameList[4] = "LOCAL_PROJECT_NO"		
	ParameterNameList[5] = "GKN_PROJECT_NO"			
	ParameterNameList[6] = "APPLICATION"			
	ParameterNameList[7] = "DESIGNATION"			
	ParameterNameList[8] = "OBJECT_CODE"			
	ParameterNameList[9] = "GRADE"
	
//	===  Differential  ==================================================================
	ParameterNameList[10] = "DIFFERENTIAL_TYPE";
	ParameterNameList[11] = "NO_OF_PINION_GEARS";
	ParameterNameList[12] = "TORQUE_DISTRIBUTION";
	ParameterNameList[13] = "SPHERICAL_DIAMETER";
	ParameterNameList[14] = "RING_GEAR_PCD";
	
	
	
	var ParameterDescriptionList = new Array();

	switch (pLanguage)
	{
		case "english":
			ParameterDescriptionList[0] = "(ECN)-Modification Number";
			ParameterDescriptionList[1] = "Modification Text";
			ParameterDescriptionList[2] = "Modification Date";
			ParameterDescriptionList[3] = "Modification performed by";
			ParameterDescriptionList[4] = "internal project number, assigned by \ndesign department e.g. 08009";
			ParameterDescriptionList[5] = "formal GKN project number; e.g. XA0601-001";
			ParameterDescriptionList[6] = "type of assembly; e.g. VISCO LOK DIFF";
			ParameterDescriptionList[7] = "description of standard parts; e.g. srews ...";
			ParameterDescriptionList[8] = "code of project; e.g. T5, HY5";
			ParameterDescriptionList[9] = "strength class e.g. bolts";
			ParameterDescriptionList[10] = "  CSD"+         
										   "\n  EMCD"+
										   "\n  ETM2"+
										   "\n  HELICAL"+
										   "\n  HYBRID"+
										   "\n  LUD"+
										   "\n  LUH"+
										   "\n  LOM"+
										   "\n  LOMR"+
										   "\n  MULTI PLATE"+
										   "\n  OD"+
										   "\n  PLOM"+
										   "\n  SUPER"+
										   "\n  TD"+
										   "\n  TL"+
										   "\n  TWIN"+
										   "\n  VISCO"+
										   "\n  VISCO LOK";

			
			break;
		case "german":
			ParameterDescriptionList[0] = "Anderungsmitteilungs-Nummmer"
			ParameterDescriptionList[1] = "nderungsbeschreibung"
			ParameterDescriptionList[2] = "nderungs-Datum"
			ParameterDescriptionList[3] = "nderung bearbeitet durch"		
			ParameterDescriptionList[4] = "interne von der Konstruktion vergebene \nProjekt-Nummer z.B. 08009"
			ParameterDescriptionList[5] = "offizielle GKN-Projekt-Nummer z.B. XA0601-001"
			ParameterDescriptionList[6] = "Art der Baugruppe, zB VISCO LOK DIFF"
			ParameterDescriptionList[7] = "Bezeichnung von Standardteilen; Schrauben ..."
			ParameterDescriptionList[8] = "Codebezeichnung des Projekts; z.B. T5, HY5"
			ParameterDescriptionList[9] = "Festigkeitsklasse \nz.B. bei Schrauben"
			ParameterDescriptionList[10] = "  CSD"+         
										   "\n  EMCD"+
										   "\n  ETM2"+
										   "\n  HELICAL"+
										   "\n  HYBRID"+
										   "\n  LUD"+
										   "\n  LUH"+
										   "\n  LOM"+
										   "\n  LOMR"+
										   "\n  MULTI PLATE"+
										   "\n  OD"+
										   "\n  PLOM"+
										   "\n  SUPER"+
										   "\n  TD"+
										   "\n  TL"+
										   "\n  TWIN"+
										   "\n  VISCO"+
										   "\n  VISCO LOK";
										   
			ParameterDescriptionList[11] = "  bei >> TORQUE_DISTRIBUTION = BEVEL<<  "+
										   "\n  Anzahl der Ritzel  ";

			ParameterDescriptionList[12] = "  BEVEL  "+
										   "\n  FACE  "+
										   "\n  PLANETARY  ";
										   
			ParameterDescriptionList[13] = "  Kugel- des Ritzels  ";
			
			ParameterDescriptionList[14] = "  Teilkreis- des dazugehrenden Tellerrades  ";
										   
			break;
	}
	
	for (var i=0; i<ParameterNameList.length; i++)
	{
		if (pParamName==ParameterNameList[i])
		{
			return ParameterDescriptionList[i];
			break;
		}
	}
	return null;
}
//#############################################################################################################


function addParameterFromList(pParameterMenu)
{
	var ParameterMenuList = new Array();
	
	switch (pParameterMenu)
	{
		/*	================================= */
		case "PARAMMenu_SearchParameter":
		/*	================================= */
			ParameterMenuList[0] = ("APPLICATION");
			ParameterMenuList[1] = ("PARAM_STRING");
			
			ParameterMenuList[2] = ("CUSTOMER");
			ParameterMenuList[3] = ("PARAM_STRING");
			
			ParameterMenuList[4] = ("DESIGNATION");
			ParameterMenuList[5] = ("PARAM_STRING");
			
			ParameterMenuList[6] = ("GKN_PROJECT_NO");
			ParameterMenuList[7] = ("PARAM_STRING");
			
			ParameterMenuList[8] = ("LOCAL_PROJECT_NO");
			ParameterMenuList[9] = ("PARAM_STRING");
			
			ParameterMenuList[10] = ("OBJECT_CODE");
			ParameterMenuList[11] = ("PARAM_STRING");
			break;

		
		/*	================================= */			
		case "PARAMMenu_WT_PART_NO__Material":
		/*	================================= */			
			ParameterMenuList[0] = ("WT_PART_NO");
			ParameterMenuList[1] = ("PARAM_STRING");

			ParameterMenuList[2] = ("MATERIAL");
			ParameterMenuList[3] = ("PARAM_STRING");
			break;

			
		/*	================================= */
		case "PARAMMenu_MOD":
		/*	================================= */
			ParameterMenuList[0] = ("MOD_NO");
			ParameterMenuList[1] = ("PARAM_STRING");
			
			ParameterMenuList[2] = ("MOD_TEXT");
			ParameterMenuList[3] = ("PARAM_STRING");
			
			ParameterMenuList[4] = ("MOD_DATE");
			ParameterMenuList[5] = ("PARAM_STRING");
			
			ParameterMenuList[6] = ("MOD_BY");
			ParameterMenuList[7] = ("PARAM_STRING");
			break;
		
		/*	================================= */
		case "PARAMMenu_SplineSurface":
		/*	================================= */
			ParameterMenuList[0] = ("STD_CLASS");
			ParameterMenuList[1] = ("PARAM_STRING");

			ParameterMenuList[2] = ("DESIGNATION");
			ParameterMenuList[3] = ("PARAM_STRING");			
		
			ParameterMenuList[4] = ("MODULE");
			ParameterMenuList[5] = ("PARAM_DOUBLE");
			
			ParameterMenuList[6] = ("NUMBER_OF_TEETH");
			ParameterMenuList[7] = ("PARAM_INTEGER");

			ParameterMenuList[8] = ("PRESSURE_ANGLE");
			ParameterMenuList[9] = ("PARAM_DOUBLE");
			break;
			
			
			
		/*	TTG Products and Components */
		/********************************/
			/*	Common Components */
			/**********************/
				/*	Retaining Elements */
				/***********************/
					/*	Retaining for bores */
					/************************/
		
		/*	=1=========================================== */
		/*	Flat Circlip (Bore) */
		case "PARAMMenu_Flat_Circlip_Bore":
		/*	============================================ */
			ParameterMenuList[0] = ("STD_CLASS");
			ParameterMenuList[1] = ("PARAM_STRING");
			
			ParameterMenuList[2] = ("DESIGNATION");
			ParameterMenuList[3] = ("PARAM_STRING");
			
			ParameterMenuList[4] = ("WEIGHT");
			ParameterMenuList[5] = ("PARAM_DOUBLE");
			
			ParameterMenuList[6] = ("MATERIAL");
			ParameterMenuList[7] = ("PARAM_STRING");
			
			ParameterMenuList[8] = ("BORE_DIAMETER");
			ParameterMenuList[9] = ("PARAM_DOUBLE");
			
			ParameterMenuList[10] = ("WIDTH");
			ParameterMenuList[11] = ("PARAM_DOUBLE");
			
		/*	=2=========================================== */
		/*	Round Wire Circlip (Bore) */
		case "PARAMMenu_Round_Wire_Circlip_Bore":
		/*	============================================ */
			ParameterMenuList[0] = ("STD_CLASS");
			ParameterMenuList[1] = ("PARAM_STRING");			

			ParameterMenuList[2] = ("DESIGNATION");
			ParameterMenuList[3] = ("PARAM_STRING");
			
			ParameterMenuList[4] = ("WEIGHT");
			ParameterMenuList[5] = ("PARAM_DOUBLE");
			
			ParameterMenuList[6] = ("MATERIAL");
			ParameterMenuList[7] = ("PARAM_STRING");			
			
			ParameterMenuList[8] = ("BORE_DIAMETER");
			ParameterMenuList[9] = ("PARAM_DOUBLE");
			
			ParameterMenuList[10] = ("WIRE_DIAMETER");
			ParameterMenuList[11] = ("PARAM_DOUBLE");
			break;

		/*	=3=========================================== */
		/*	Square Circlip (Bore) */
		case "PARAMMenu_Square_Circlip_Bore":
		/*	============================================ */
			ParameterMenuList[0] = ("STD_CLASS");
			ParameterMenuList[1] = ("PARAM_STRING");

			ParameterMenuList[2] = ("DESIGNATION");
			ParameterMenuList[3] = ("PARAM_STRING");
			
			ParameterMenuList[4] = ("WEIGHT");
			ParameterMenuList[5] = ("PARAM_DOUBLE");
			
			ParameterMenuList[6] = ("MATERIAL");
			ParameterMenuList[7] = ("PARAM_STRING");			
			
			ParameterMenuList[8] = ("BORE_DIAMETER");
			ParameterMenuList[9] = ("PARAM_DOUBLE");
			
			ParameterMenuList[10] = ("WIDTH");
			ParameterMenuList[11] = ("PARAM_DOUBLE");
			break;
			
					/*	Retaining for shafts */
					/*************************/
					
		/*	=4=========================================== */
		/*	Flat Circlip (Shaft) */
		case "PARAMMenu_Flat_Circlip_Shaft":
		/*	============================================ */
			ParameterMenuList[0] = ("STD_CLASS");
			ParameterMenuList[1] = ("PARAM_STRING");
			
			ParameterMenuList[2] = ("DESIGNATION");
			ParameterMenuList[3] = ("PARAM_STRING");
			
			ParameterMenuList[4] = ("WEIGHT");
			ParameterMenuList[5] = ("PARAM_DOUBLE");
			
			ParameterMenuList[6] = ("MATERIAL");
			ParameterMenuList[7] = ("PARAM_STRING");
			
			ParameterMenuList[8] = ("SHAFT_DIAMETER");
			ParameterMenuList[9] = ("PARAM_DOUBLE");
			
			ParameterMenuList[10] = ("WIDTH");
			ParameterMenuList[11] = ("PARAM_DOUBLE");
			break;
		
		/*	=5=========================================== */
		/*	Round Wire Circlip (Shaft) */
		case "PARAMMenu_Round_Wire_Circlip_Shaft":
		/*	============================================ */
			ParameterMenuList[0] = ("STD_CLASS");
			ParameterMenuList[1] = ("PARAM_STRING");			

			ParameterMenuList[2] = ("DESIGNATION");
			ParameterMenuList[3] = ("PARAM_STRING");
			
			ParameterMenuList[4] = ("WEIGHT");
			ParameterMenuList[5] = ("PARAM_DOUBLE");
			
			ParameterMenuList[6] = ("MATERIAL");
			ParameterMenuList[7] = ("PARAM_STRING");			
			
			ParameterMenuList[8] = ("SHAFT_DIAMETER");
			ParameterMenuList[9] = ("PARAM_DOUBLE");
			
			ParameterMenuList[10] = ("WIRE_DIAMETER");
			ParameterMenuList[11] = ("PARAM_DOUBLE");
			break;


		/*	=6=========================================== */
		/*	Square Circlip (Shaft) */
		case "PARAMMenu_Square_Circlip_Shaft":
		/*	============================================ */
			ParameterMenuList[0] = ("STD_CLASS");
			ParameterMenuList[1] = ("PARAM_STRING");

			ParameterMenuList[2] = ("DESIGNATION");
			ParameterMenuList[3] = ("PARAM_STRING");
			
			ParameterMenuList[4] = ("WEIGHT");
			ParameterMenuList[5] = ("PARAM_DOUBLE");
			
			ParameterMenuList[6] = ("MATERIAL");
			ParameterMenuList[7] = ("PARAM_STRING");			
			
			ParameterMenuList[8] = ("SHAFT_DIAMETER");
			ParameterMenuList[9] = ("PARAM_DOUBLE");
			
			ParameterMenuList[10] = ("WIDTH");
			ParameterMenuList[11] = ("PARAM_DOUBLE");
			break;
			

				/* Fasteners */
				/*************/
	
		/*	=7=========================================== */
		/*	Common Bolt */
		case "PARAMMenu_Common_Bolt":
		/*	============================================ */
			ParameterMenuList[0] = ("STD_CLASS");
			ParameterMenuList[1] = ("PARAM_STRING");			
			
			ParameterMenuList[2] = ("DESIGNATION");
			ParameterMenuList[3] = ("PARAM_STRING");
			
			ParameterMenuList[4] = ("WEIGHT");
			ParameterMenuList[5] = ("PARAM_DOUBLE");
			
			ParameterMenuList[6] = ("MATERIAL");
			ParameterMenuList[7] = ("PARAM_STRING");
			
			ParameterMenuList[8] = ("GRADE");
			ParameterMenuList[9] = ("PARAM_STRING");
		
			ParameterMenuList[10] = ("HEAD_DIAMETER");
			ParameterMenuList[11] = ("PARAM_DOUBLE");
			
			ParameterMenuList[12] = ("HEAD_HEIGHT");
			ParameterMenuList[13] = ("PARAM_DOUBLE");
			
			ParameterMenuList[14] = ("HEAD_TYPE");
			ParameterMenuList[15] = ("PARAM_STRING");
			
			ParameterMenuList[16] = ("NOMINAL_LENGTH");
			ParameterMenuList[17] = ("PARAM_DOUBLE");
			
			ParameterMenuList[18] = ("SURFACE_TREATMENT");
			ParameterMenuList[19] = ("PARAM_STRING");
			
			ParameterMenuList[20] = ("THREAD_DIAMETER");
			ParameterMenuList[21] = ("PARAM_DOUBLE");
			
			ParameterMenuList[22] = ("THREAD_LENGTH");
			ParameterMenuList[23] = ("PARAM_DOUBLE");
			
			ParameterMenuList[24] = ("THREAD_PITCH");
			ParameterMenuList[25] = ("PARAM_DOUBLE");
			
			ParameterMenuList[26] = ("WRENCH_SIZE");
			ParameterMenuList[27] = ("PARAM_DOUBLE");
			break;
			
	
		/*	=8=========================================== */
		/*	Fit Bolt */
		case "PARAMMenu_Fit_Bolt":
		/*	============================================ */			
			ParameterMenuList[0] = ("STD_CLASS");
			ParameterMenuList[1] = ("PARAM_STRING");			
			
			ParameterMenuList[2] = ("DESIGNATION");
			ParameterMenuList[3] = ("PARAM_STRING");
			
			ParameterMenuList[4] = ("WEIGHT");
			ParameterMenuList[5] = ("PARAM_DOUBLE");
			
			ParameterMenuList[6] = ("MATERIAL");
			ParameterMenuList[7] = ("PARAM_STRING");
			
			ParameterMenuList[8] = ("GRADE");
			ParameterMenuList[9] = ("PARAM_STRING");
		
			ParameterMenuList[10] = ("HEAD_DIAMETER");
			ParameterMenuList[11] = ("PARAM_DOUBLE");
			
			ParameterMenuList[12] = ("HEAD_HEIGHT");
			ParameterMenuList[13] = ("PARAM_DOUBLE");
			
			ParameterMenuList[14] = ("HEAD_TYPE");
			ParameterMenuList[15] = ("PARAM_STRING");
			
			ParameterMenuList[16] = ("NOMINAL_LENGTH");
			ParameterMenuList[17] = ("PARAM_DOUBLE");
			
			ParameterMenuList[18] = ("SHAFT_DIAMETER");
			ParameterMenuList[19] = ("PARAM_DOUBLE");
			
			ParameterMenuList[20] = ("SHAFT_LENGTH");
			ParameterMenuList[21] = ("PARAM_DOUBLE");
			
			ParameterMenuList[22] = ("SURFACE_TREATMENT");
			ParameterMenuList[23] = ("PARAM_STRING");
			
			ParameterMenuList[24] = ("THREAD_DIAMETER");
			ParameterMenuList[25] = ("PARAM_DOUBLE");
			
			ParameterMenuList[26] = ("THREAD_PITCH");
			ParameterMenuList[27] = ("PARAM_DOUBLE");
			
			ParameterMenuList[28] = ("WRENCH_SIZE");
			ParameterMenuList[29] = ("PARAM_DOUBLE");
			break;
		
		/*	=9=========================================== */
		/*	Threaded Pin */
		case "PARAMMenu_Threaded_Pin":
		/*	============================================ */			
			ParameterMenuList[0] = ("STD_CLASS");
			ParameterMenuList[1] = ("PARAM_STRING");			
			
			ParameterMenuList[2] = ("DESIGNATION");
			ParameterMenuList[3] = ("PARAM_STRING");
			
			ParameterMenuList[4] = ("WEIGHT");
			ParameterMenuList[5] = ("PARAM_DOUBLE");
			
			ParameterMenuList[6] = ("MATERIAL");
			ParameterMenuList[7] = ("PARAM_STRING");
			
			ParameterMenuList[8] = ("GRADE");
			ParameterMenuList[9] = ("PARAM_STRING");
			
			ParameterMenuList[10] = ("NOMINAL_LENGTH");
			ParameterMenuList[11] = ("PARAM_DOUBLE");
			
			ParameterMenuList[12] = ("PIN_DIAMETER");
			ParameterMenuList[13] = ("PARAM_DOUBLE");
			
			ParameterMenuList[14] = ("SURFACE_TREATMENT");
			ParameterMenuList[15] = ("PARAM_STRING");
			
			ParameterMenuList[16] = ("THREAD_DIAMETER");
			ParameterMenuList[17] = ("PARAM_DOUBLE");

			ParameterMenuList[18] = ("THREAD_LENGTH");
			ParameterMenuList[19] = ("PARAM_DOUBLE");
			
			ParameterMenuList[20] = ("THREAD_PITCH");
			ParameterMenuList[21] = ("PARAM_DOUBLE");
			
			ParameterMenuList[22] = ("WRENCH_SIZE");
			ParameterMenuList[23] = ("PARAM_DOUBLE");
			break;
			

		/*	=10========================================= */
		/*	Locking Screw */
		case "PARAMMenu_Locking_Screw":
		/*	============================================ */			
			ParameterMenuList[0] = ("STD_CLASS");
			ParameterMenuList[1] = ("PARAM_STRING");			
			
			ParameterMenuList[2] = ("DESIGNATION");
			ParameterMenuList[3] = ("PARAM_STRING");
			
			ParameterMenuList[4] = ("WEIGHT");
			ParameterMenuList[5] = ("PARAM_DOUBLE");
			
			ParameterMenuList[10] = ("HEAD_DIAMETER");
			ParameterMenuList[11] = ("PARAM_DOUBLE");
			
			ParameterMenuList[6] = ("MATERIAL");
			ParameterMenuList[7] = ("PARAM_STRING");
			
			ParameterMenuList[16] = ("NOMINAL_LENGTH");
			ParameterMenuList[17] = ("PARAM_DOUBLE");

			ParameterMenuList[22] = ("SURFACE_HARDNESS");
			ParameterMenuList[23] = ("PARAM_STRING");
			
			ParameterMenuList[24] = ("THREAD_DIAMETER");
			ParameterMenuList[25] = ("PARAM_DOUBLE");

			ParameterMenuList[24] = ("THREAD_LENGTH");
			ParameterMenuList[25] = ("PARAM_DOUBLE");
			
			ParameterMenuList[26] = ("THREAD_PITCH");
			ParameterMenuList[27] = ("PARAM_DOUBLE");
			
			ParameterMenuList[28] = ("WRENCH_SIZE");
			ParameterMenuList[29] = ("PARAM_DOUBLE");
			break;	

		/*	=11========================================= */
		/*	Common Nuts */
		case "PARAMMenu_Common_Nuts":
		/*	============================================ */
			ParameterMenuList[0] = ("STD_CLASS");
			ParameterMenuList[1] = ("PARAM_STRING");			
			
			ParameterMenuList[2] = ("DESIGNATION");
			ParameterMenuList[3] = ("PARAM_STRING");
			
			ParameterMenuList[4] = ("WEIGHT");
			ParameterMenuList[5] = ("PARAM_DOUBLE");
			
			ParameterMenuList[6] = ("MATERIAL");
			ParameterMenuList[7] = ("PARAM_STRING");
			
			ParameterMenuList[8] = ("GRADE");
			ParameterMenuList[9] = ("PARAM_STRING");
		
			ParameterMenuList[10] = ("HEAD_DIAMETER");
			ParameterMenuList[11] = ("PARAM_DOUBLE");
			
			ParameterMenuList[12] = ("HEAD_HEIGHT");
			ParameterMenuList[13] = ("PARAM_DOUBLE");
			
			ParameterMenuList[14] = ("HEAD_TYPE");
			ParameterMenuList[15] = ("PARAM_STRING");
			
			ParameterMenuList[16] = ("NOMINAL_LENGTH");
			ParameterMenuList[17] = ("PARAM_DOUBLE");
			
			ParameterMenuList[18] = ("SURFACE_TREATMENT");
			ParameterMenuList[19] = ("PARAM_STRING");
			
			ParameterMenuList[20] = ("THREAD_DIAMETER");
			ParameterMenuList[21] = ("PARAM_DOUBLE");
			
			ParameterMenuList[22] = ("THREAD_LENGTH");
			ParameterMenuList[23] = ("PARAM_DOUBLE");
			
			ParameterMenuList[24] = ("THREAD_PITCH");
			ParameterMenuList[25] = ("PARAM_DOUBLE");
			
			ParameterMenuList[26] = ("WRENCH_SIZE");
			ParameterMenuList[27] = ("PARAM_DOUBLE");
			break;		

	
		/*	=12========================================= */
		/*	Pins */
		case "PARAMMenu_Pins":
		/*	============================================ */
			ParameterMenuList[0] = ("STD_CLASS");
			ParameterMenuList[1] = ("PARAM_STRING");			
			
			ParameterMenuList[2] = ("DESIGNATION");
			ParameterMenuList[3] = ("PARAM_STRING");
			
			ParameterMenuList[4] = ("WEIGHT");
			ParameterMenuList[5] = ("PARAM_DOUBLE");
			
			ParameterMenuList[6] = ("MATERIAL");
			ParameterMenuList[7] = ("PARAM_STRING");

			ParameterMenuList[8] = ("HEAD_DIAMETER");
			ParameterMenuList[9] = ("PARAM_DOUBLE");
			
			ParameterMenuList[10] = ("HEAD_HEIGHT");
			ParameterMenuList[11] = ("PARAM_DOUBLE");
			
			ParameterMenuList[12] = ("HOLE_DIAMETER");
			ParameterMenuList[13] = ("PARAM_DOUBLE");
			
			ParameterMenuList[14] = ("LENGTH");
			ParameterMenuList[15] = ("PARAM_DOUBLE");
			
			ParameterMenuList[16] = ("NOMINAL_DIAMETER");
			ParameterMenuList[17] = ("PARAM_DOUBLE");

			ParameterMenuList[18] = ("SURFACE_TREATMENT");
			ParameterMenuList[19] = ("PARAM_STRING");
			
			ParameterMenuList[20] = ("THICKNESS");
			ParameterMenuList[21] = ("PARAM_DOUBLE");
			break;					

				
				/* Sealings */
				/*************/
				
		/*	=13========================================= */
		/*	X-Ring */
		case "PARAMMenu_X_Ring":
		/*	============================================ */
			ParameterMenuList[0] = ("STD_CLASS");
			ParameterMenuList[1] = ("PARAM_STRING");			
			
			ParameterMenuList[2] = ("DESIGNATION");
			ParameterMenuList[3] = ("PARAM_STRING");
			
			ParameterMenuList[4] = ("WEIGHT");
			ParameterMenuList[5] = ("PARAM_DOUBLE");
			
			ParameterMenuList[6] = ("MATERIAL");
			ParameterMenuList[7] = ("PARAM_STRING");				
	
			ParameterMenuList[8] = ("GROOVE_DIAMETER");
			ParameterMenuList[9] = ("PARAM_DOUBLE");
			
			ParameterMenuList[10] = ("GROOVE_WIDTH");
			ParameterMenuList[11] = ("PARAM_DOUBLE");
			
			ParameterMenuList[12] = ("SHAFT_DIAMETER");
			ParameterMenuList[13] = ("PARAM_DOUBLE");
			break;
			
			
		/*	=14========================================= */
		/*	O-Ring */
		case "PARAMMenu_O_Ring":
		/*	============================================ */
			ParameterMenuList[0] = ("STD_CLASS");
			ParameterMenuList[1] = ("PARAM_STRING");			
			
			ParameterMenuList[2] = ("DESIGNATION");
			ParameterMenuList[3] = ("PARAM_STRING");
			
			ParameterMenuList[4] = ("WEIGHT");
			ParameterMenuList[5] = ("PARAM_DOUBLE");
			
			ParameterMenuList[6] = ("MATERIAL");
			ParameterMenuList[7] = ("PARAM_STRING");
			
			ParameterMenuList[8] = ("MATERIAL_HARDNESS");
			ParameterMenuList[9] = ("PARAM_STRING");

			ParameterMenuList[10] = ("INSIDE_DIAMETER");
			ParameterMenuList[11] = ("PARAM_DOUBLE");

			ParameterMenuList[12] = ("RING_THICKNESS");
			ParameterMenuList[13] = ("PARAM_DOUBLE");
			
			ParameterMenuList[14] = ("SHAFT_DIAMETER");
			ParameterMenuList[15] = ("PARAM_DOUBLE");
			
			ParameterMenuList[16] = ("GKN_TYPE");  // siehe Radial Sealing
			ParameterMenuList[17] = ("PARAM_STRING");
			break;

		/*	=15========================================= */
		/*	Radial Sealing */
		case "PARAMMenu_Radial_Sealing":
		/*	============================================ */
			ParameterMenuList[0] = ("STD_CLASS");
			ParameterMenuList[1] = ("PARAM_STRING");			
			
			ParameterMenuList[2] = ("DESIGNATION");
			ParameterMenuList[3] = ("PARAM_STRING");
			
			ParameterMenuList[4] = ("WEIGHT");
			ParameterMenuList[5] = ("PARAM_DOUBLE");
			
			ParameterMenuList[6] = ("MATERIAL");
			ParameterMenuList[7] = ("PARAM_STRING");				

			ParameterMenuList[8] = ("RING_WIDTH");
			ParameterMenuList[9] = ("PARAM_DOUBLE");

			ParameterMenuList[10] = ("SHAFT_DIAMETER");
			ParameterMenuList[11] = ("PARAM_DOUBLE");

			ParameterMenuList[12] = ("FIT_DIAMETER");
			ParameterMenuList[13] = ("PARAM_DOUBLE");
			
			ParameterMenuList[14] = ("TYPE");
			ParameterMenuList[15] = ("PARAM_STRING");
			break;
			
			
				/*	Bearings */
				/***********************/
					/*	Radial Bearings */
					/************************/			

		/*	============================================ */
		/*	Ball Bearing */
		case "PARAMMenu_Ball_Bearing":
		/*	============================================ */
			ParameterMenuList[0] = ("STD_CLASS");
			ParameterMenuList[1] = ("PARAM_STRING");			
			
			ParameterMenuList[2] = ("DESIGNATION");
			ParameterMenuList[3] = ("PARAM_STRING");
			
			ParameterMenuList[4] = ("WEIGHT");
			ParameterMenuList[5] = ("PARAM_DOUBLE");
			
			ParameterMenuList[6] = ("INSIDE_DIAMETER");
			ParameterMenuList[7] = ("PARAM_DOUBLE");

			ParameterMenuList[8] = ("OUTSIDE_DIAMETER");
			ParameterMenuList[9] = ("PARAM_DOUBLE");
			
			ParameterMenuList[10] = ("GKN_TYPE");
			ParameterMenuList[11] = ("PARAM_STRING");
			
			ParameterMenuList[12] = ("WIDTH");
			ParameterMenuList[13] = ("PARAM_DOUBLE");
			break;
		

		/*	============================================ */
		/*	Angular Contact Ball Bearing */
		case "PARAMMenu_Angular_Contact_Ball_Bearing":
		/*	============================================ */
			ParameterMenuList[0] = ("STD_CLASS");
			ParameterMenuList[1] = ("PARAM_STRING");			
			
			ParameterMenuList[2] = ("DESIGNATION");
			ParameterMenuList[3] = ("PARAM_STRING");
			
			ParameterMenuList[4] = ("WEIGHT");
			ParameterMenuList[5] = ("PARAM_DOUBLE");
			
			ParameterMenuList[6] = ("INSIDE_DIAMETER");
			ParameterMenuList[7] = ("PARAM_DOUBLE");

			ParameterMenuList[8] = ("OUTSIDE_DIAMETER");
			ParameterMenuList[9] = ("PARAM_DOUBLE");
			
			ParameterMenuList[10] = ("ANGLE");
			ParameterMenuList[11] = ("PARAM_DOUBLE");
			
			ParameterMenuList[12] = ("NUMBER_OF_BALL_ROWS");
			ParameterMenuList[13] = ("PARAM_INTEGER");

			ParameterMenuList[14] = ("PROTECTION");
			ParameterMenuList[15] = ("PARAM_STRING");			
			
			ParameterMenuList[16] = ("WIDTH");
			ParameterMenuList[17] = ("PARAM_DOUBLE");
			break;			
			
			
			/*	Finished Components */
			/**********************/
				/*	TTG Discs & Plates */
				/***********************/
				
		/*	============================================ */
		/*	Feed Discs */
		case "PARAMMenu_Feed_Discs":
		/*	============================================ */
			ParameterMenuList[0] = ("STD_CLASS");
			ParameterMenuList[1] = ("PARAM_STRING");
			
			ParameterMenuList[2] = ("WEIGHT");
			ParameterMenuList[3] = ("PARAM_DOUBLE");
			
			ParameterMenuList[4] = ("MATERIAL");
			ParameterMenuList[5] = ("PARAM_STRING");
			
			ParameterMenuList[6] = ("OUTSIDE_DIAMETER");
			ParameterMenuList[7] = ("PARAM_DOUBLE");
			
			ParameterMenuList[8] = ("MAJOR_DIAMETER");
			ParameterMenuList[9] = ("PARAM_DOUBLE");
			
			ParameterMenuList[10] = ("THICKNESS");
			ParameterMenuList[11] = ("PARAM_DOUBLE");
			break;

		/*	============================================ */
		/*	Friction Inner Plates */
		case "PARAMMenu_Friction_Inner_Plates":
		/*	============================================ */			
			ParameterMenuList[0] = ("STD_CLASS");
			ParameterMenuList[1] = ("PARAM_STRING");
			
			ParameterMenuList[2] = ("WEIGHT");
			ParameterMenuList[3] = ("PARAM_DOUBLE");
			
			ParameterMenuList[4] = ("MATERIAL");
			ParameterMenuList[5] = ("PARAM_STRING");
			
			ParameterMenuList[6] = ("OUTSIDE_DIAMETER");
			ParameterMenuList[7] = ("PARAM_DOUBLE");
			
			ParameterMenuList[8] = ("MAJOR_DIAMETER");
			ParameterMenuList[9] = ("PARAM_DOUBLE");

			ParameterMenuList[10] = ("PLATE_THICKNESS");
			ParameterMenuList[11] = ("PARAM_DOUBLE");
			break;

		
		/*	============================================ */
		/*	Friction Outer Plates */
		case "PARAMMenu_Friction_Outer_Plates":
		/*	============================================ */			
			ParameterMenuList[0] = ("STD_CLASS");
			ParameterMenuList[1] = ("PARAM_STRING");
			
			ParameterMenuList[2] = ("WEIGHT");
			ParameterMenuList[3] = ("PARAM_DOUBLE");
			
			ParameterMenuList[4] = ("MATERIAL");
			ParameterMenuList[5] = ("PARAM_STRING");

			ParameterMenuList[6] = ("INSIDE_DIAMETER");
			ParameterMenuList[7] = ("PARAM_DOUBLE");

			ParameterMenuList[8] = ("MINOR_DIAMETER");
			ParameterMenuList[9] = ("PARAM_DOUBLE");

			ParameterMenuList[10] = ("PLATE_THICKNESS");
			ParameterMenuList[11] = ("PARAM_DOUBLE");

			ParameterMenuList[12] = ("SURFACE_TREATMENT");
			ParameterMenuList[13] = ("PARAM_DOUBLE");			
			break;						
			
		
		/*	============================================ */
		/*	Visco Inner Plates */
		case "PARAMMenu_Visco_Inner_Plates":
		/*	============================================ */			
			ParameterMenuList[0] = ("STD_CLASS");
			ParameterMenuList[1] = ("PARAM_STRING");
			
			ParameterMenuList[2] = ("WEIGHT");
			ParameterMenuList[3] = ("PARAM_DOUBLE");
			
			ParameterMenuList[4] = ("MATERIAL");
			ParameterMenuList[5] = ("PARAM_STRING");
			
			ParameterMenuList[6] = ("OUTSIDE_DIAMETER");
			ParameterMenuList[7] = ("PARAM_DOUBLE");
			
			ParameterMenuList[8] = ("MAJOR_DIAMETER");
			ParameterMenuList[9] = ("PARAM_DOUBLE");

			ParameterMenuList[10] = ("PLATE_THICKNESS");
			ParameterMenuList[11] = ("PARAM_DOUBLE");

			ParameterMenuList[12] = ("BENT_EDGE");
			ParameterMenuList[13] = ("PARAM_BOOLEAN");
			break;
			
		/*	============================================ */
		/*	Visco Outer Plates */
		case "PARAMMenu_Visco_Outer_Plates":
		/*	============================================ */			
			ParameterMenuList[0] = ("STD_CLASS");
			ParameterMenuList[1] = ("PARAM_STRING");
			
			ParameterMenuList[2] = ("WEIGHT");
			ParameterMenuList[3] = ("PARAM_DOUBLE");
			
			ParameterMenuList[4] = ("MATERIAL");
			ParameterMenuList[5] = ("PARAM_STRING");

			ParameterMenuList[6] = ("INSIDE_DIAMETER");
			ParameterMenuList[7] = ("PARAM_DOUBLE");

			ParameterMenuList[8] = ("MINOR_DIAMETER");
			ParameterMenuList[9] = ("PARAM_DOUBLE");

			ParameterMenuList[10] = ("PLATE_THICKNESS");
			ParameterMenuList[11] = ("PARAM_DOUBLE");

			ParameterMenuList[12] = ("SURFACE_TREATMENT");
			ParameterMenuList[13] = ("PARAM_DOUBLE");
			
			ParameterMenuList[14] = ("SPACER");
			ParameterMenuList[15] = ("PARAM_DOUBLE");
			break;
		

		/*	ETM & ETV Accessories */
		/**************************/
			
		/*	============================================ */
		/*	Actuator Input Disk */
		case "PARAMMenu_Actuator_Input_Disk":
		/*	============================================ */			
			ParameterMenuList[0] = ("STD_CLASS");
			ParameterMenuList[1] = ("PARAM_STRING");
			
			ParameterMenuList[2] = ("WEIGHT");
			ParameterMenuList[3] = ("PARAM_DOUBLE");
			
			ParameterMenuList[4] = ("MATERIAL");
			ParameterMenuList[5] = ("PARAM_STRING");

			ParameterMenuList[6] = ("BALL_DIAMETER");
			ParameterMenuList[7] = ("PARAM_DOUBLE");

			ParameterMenuList[8] = ("BALL_TRACK_ANGLE");
			ParameterMenuList[9] = ("PARAM_DOUBLE");

			ParameterMenuList[10] = ("INSIDE_DIAMETER");
			ParameterMenuList[11] = ("PARAM_DOUBLE");

			ParameterMenuList[12] = ("MODULE");
			ParameterMenuList[13] = ("PARAM_DOUBLE");

			ParameterMenuList[14] = ("NO_OF_BALL_TRACKS");
			ParameterMenuList[15] = ("PARAM_INTEGER");

			ParameterMenuList[16] = ("NUMBER_OF_TEETH");
			ParameterMenuList[17] = ("PARAM_INTEGER");

			ParameterMenuList[18] = ("OUTSIDE_DIAMETER");
			ParameterMenuList[19] = ("PARAM_DOUBLE");

			ParameterMenuList[20] = ("PITCH_CIRCLE_DIAMETER");
			ParameterMenuList[21] = ("PARAM_DOUBLE");

			ParameterMenuList[22] = ("PRESSURE_ANGLE");
			ParameterMenuList[23] = ("PARAM_DOUBLE");

			ParameterMenuList[24] = ("THICKNESS");
			ParameterMenuList[25] = ("PARAM_DOUBLE");
			break;


		/*	============================================ */
		/*	Actuator Output Disk */
		case "PARAMMenu_Actuator_Output_Disk":
		/*	============================================ */
			ParameterMenuList[0] = ("STD_CLASS");
			ParameterMenuList[1] = ("PARAM_STRING");
			
			ParameterMenuList[2] = ("WEIGHT");
			ParameterMenuList[3] = ("PARAM_DOUBLE");
			
			ParameterMenuList[4] = ("MATERIAL");
			ParameterMenuList[5] = ("PARAM_STRING");

			ParameterMenuList[6] = ("BALL_DIAMETER");
			ParameterMenuList[7] = ("PARAM_DOUBLE");

			ParameterMenuList[8] = ("BALL_TRACK_ANGLE");
			ParameterMenuList[9] = ("PARAM_DOUBLE");

			ParameterMenuList[10] = ("INSIDE_DIAMETER");
			ParameterMenuList[11] = ("PARAM_DOUBLE");

			ParameterMenuList[12] = ("NO_OF_BALL_TRACKS");
			ParameterMenuList[13] = ("PARAM_INTEGER");

			ParameterMenuList[14] = ("OUTSIDE_DIAMETER");
			ParameterMenuList[15] = ("PARAM_DOUBLE");

			ParameterMenuList[16] = ("PITCH_CIRCLE_DIAMETER");
			ParameterMenuList[17] = ("PARAM_DOUBLE");

			ParameterMenuList[18] = ("THICKNESS");
			ParameterMenuList[19] = ("PARAM_DOUBLE");
			break;

		
		/*	============================================ */
		/*	Actuator Ball Cage */
		case "PARAMMenu_Ball_Cage":
		/*	============================================ */
			ParameterMenuList[0] = ("STD_CLASS");
			ParameterMenuList[1] = ("PARAM_STRING");
			
			ParameterMenuList[2] = ("WEIGHT");
			ParameterMenuList[3] = ("PARAM_DOUBLE");
			
			ParameterMenuList[4] = ("MATERIAL");
			ParameterMenuList[5] = ("PARAM_STRING");

			ParameterMenuList[6] = ("BALL_DIAMETER");
			ParameterMenuList[7] = ("PARAM_DOUBLE");			

			ParameterMenuList[8] = ("NUMBER_OF_BALL_ROWS");
			ParameterMenuList[9] = ("PARAM_INTEGER");

			ParameterMenuList[10] = ("PITCH_CIRCLE_DIAMETER");
			ParameterMenuList[11] = ("PARAM_DOUBLE");
			break;
			
			
		/*	============================================ */
		/*	Actuator Gearset */
		case "PARAMMenu_Gearset":
		/*	============================================ */
			ParameterMenuList[0] = ("STD_CLASS");
			ParameterMenuList[1] = ("PARAM_STRING");
			
			ParameterMenuList[2] = ("WEIGHT");
			ParameterMenuList[3] = ("PARAM_DOUBLE");
			
			ParameterMenuList[4] = ("MATERIAL");
			ParameterMenuList[5] = ("PARAM_STRING");

			ParameterMenuList[6] = ("HELIX_ANGLE");
			ParameterMenuList[7] = ("PARAM_DOUBLE");

			ParameterMenuList[8] = ("HELIX_ANGLE_DIRECTION");
			ParameterMenuList[9] = ("PARAM_STRING");

			ParameterMenuList[10] = ("HELIX_ANGLE_DIRECTION_II");
			ParameterMenuList[11] = ("PARAM_STRING");

			ParameterMenuList[12] = ("HELIX_ANGLE_II");
			ParameterMenuList[13] = ("PARAM_DOUBLE");

			ParameterMenuList[14] = ("INSIDE_DIAMETER");
			ParameterMenuList[15] = ("PARAM_DOUBLE");

			ParameterMenuList[16] = ("MODULE");
			ParameterMenuList[17] = ("PARAM_DOUBLE");

			ParameterMenuList[18] = ("MODULE_II");
			ParameterMenuList[19] = ("PARAM_DOUBLE");

			ParameterMenuList[20] = ("NUMBER_OF_TEETH");
			ParameterMenuList[21] = ("PARAM_INTEGER");

			ParameterMenuList[22] = ("NUMBER_OF_TEETH_II");
			ParameterMenuList[23] = ("PARAM_INTEGER");

			ParameterMenuList[24] = ("PRESSURE_ANGLE");
			ParameterMenuList[25] = ("PARAM_DOUBLE");

			ParameterMenuList[26] = ("PRESSURE_ANGLE_II");
			ParameterMenuList[27] = ("PARAM_DOUBLE");

			ParameterMenuList[28] = ("WIDTH");
			ParameterMenuList[29] = ("PARAM_DOUBLE");
			break;

			
		/*	============================================ */
		/*	Actuator Gearwheel */
		case "PARAMMenu_Gearwheel":
		/*	============================================ */
			ParameterMenuList[0] = ("STD_CLASS");
			ParameterMenuList[1] = ("PARAM_STRING");
			
			ParameterMenuList[2] = ("WEIGHT");
			ParameterMenuList[3] = ("PARAM_DOUBLE");
			
			ParameterMenuList[4] = ("MATERIAL");
			ParameterMenuList[5] = ("PARAM_STRING");

			ParameterMenuList[6] = ("HELIX_ANGLE");
			ParameterMenuList[7] = ("PARAM_DOUBLE");

			ParameterMenuList[8] = ("HELIX_ANGLE_DIRECTION");
			ParameterMenuList[9] = ("PARAM_STRING");

			ParameterMenuList[10] = ("INSIDE_DIAMETER");
			ParameterMenuList[11] = ("PARAM_DOUBLE");

			ParameterMenuList[12] = ("MODULE");
			ParameterMenuList[13] = ("PARAM_DOUBLE");

			ParameterMenuList[14] = ("NUMBER_OF_TEETH");
			ParameterMenuList[15] = ("PARAM_INTEGER");

			ParameterMenuList[16] = ("PRESSURE_ANGLE");
			ParameterMenuList[17] = ("PARAM_DOUBLE");

			ParameterMenuList[18] = ("WIDTH");
			ParameterMenuList[19] = ("PARAM_DOUBLE");
			break;

		/*	============================================ */
		/*	Planet Carrier */
		case "PARAMMenu_Planet_Carrier":
		/*	============================================ */
			ParameterMenuList[0] = ("STD_CLASS");
			ParameterMenuList[1] = ("PARAM_STRING");
			
			ParameterMenuList[2] = ("WEIGHT");
			ParameterMenuList[3] = ("PARAM_DOUBLE");
			
			ParameterMenuList[4] = ("MATERIAL");
			ParameterMenuList[5] = ("PARAM_STRING");
	
			ParameterMenuList[6] = ("NO_OF_PLANETARY_GEARS");
			ParameterMenuList[7] = ("PARAM_INTEGER");

			ParameterMenuList[8] = ("OUTSIDE_DIAMETER");
			ParameterMenuList[9] = ("PARAM_DOUBLE");
			
			ParameterMenuList[10] = ("PITCH_CIRCLE_DIAMETER");
			ParameterMenuList[11] = ("PARAM_DOUBLE");

			ParameterMenuList[12] = ("WIDTH");
			ParameterMenuList[13] = ("PARAM_DOUBLE");
			break;
			
		/*	============================================ */
		/*	Thrust Washers */
		case "PARAMMenu_Thrust_Washers":
		/*	============================================ */
			ParameterMenuList[0] = ("STD_CLASS");
			ParameterMenuList[1] = ("PARAM_STRING");			
			
			ParameterMenuList[2] = ("DESIGNATION");
			ParameterMenuList[3] = ("PARAM_STRING");
			
			ParameterMenuList[4] = ("WEIGHT");
			ParameterMenuList[5] = ("PARAM_DOUBLE");
			
			ParameterMenuList[6] = ("MATERIAL");
			ParameterMenuList[7] = ("PARAM_STRING");
			
			ParameterMenuList[8] = ("HARDNESS_TREATMENT");
			ParameterMenuList[9] = ("PARAM_STRING");			
			
			ParameterMenuList[10] = ("INSIDE_DIAMETER");
			ParameterMenuList[11] = ("PARAM_DOUBLE");
			
			ParameterMenuList[12] = ("OUTSIDE_DIAMETER");
			ParameterMenuList[13] = ("PARAM_DOUBLE");
			
			ParameterMenuList[14] = ("SURFACE_TREATMENT");
			ParameterMenuList[15] = ("PARAM_STRING");
			
			ParameterMenuList[16] = ("THICKNESS");
			ParameterMenuList[17] = ("PARAM_DOUBLE");
			break;
		
		/*	Visco Lok Accessories */
		/**************************/
		
		/*	============================================ */
		/*	Pump Disk */
		case "PARAMMenu_Pump_Disk":
		/*	============================================ */
			ParameterMenuList[0] = ("STD_CLASS");
			ParameterMenuList[1] = ("PARAM_STRING");			
						
			ParameterMenuList[2] = ("WEIGHT");
			ParameterMenuList[3] = ("PARAM_DOUBLE");
			
			ParameterMenuList[4] = ("MATERIAL");
			ParameterMenuList[5] = ("PARAM_STRING");
			
			ParameterMenuList[6] = ("FEED_DISK_DIAMETER");
			ParameterMenuList[7] = ("PARAM_DOUBLE");
			
			ParameterMenuList[8] = ("INSIDE_DIAMETER");
			ParameterMenuList[9] = ("PARAM_DOUBLE");
			break;
			
		/*	============================================ */
		/*	Compensation Piston */
		case "PARAMMenu_Compensation_Piston":
		/*	============================================ */
			ParameterMenuList[0] = ("STD_CLASS");
			ParameterMenuList[1] = ("PARAM_STRING");			
						
			ParameterMenuList[2] = ("WEIGHT");
			ParameterMenuList[3] = ("PARAM_DOUBLE");
			
			ParameterMenuList[4] = ("MATERIAL");
			ParameterMenuList[5] = ("PARAM_STRING");
		
			ParameterMenuList[6] = ("INSIDE_DIAMETER");
			ParameterMenuList[7] = ("PARAM_DOUBLE");

			ParameterMenuList[8] = ("OUTSIDE_DIAMETER");
			ParameterMenuList[9] = ("PARAM_DOUBLE");
			

		/*	Viscous Coupling Accessories */
		/*********************************/
			
		/*	============================================ */
		/*	Outer Plate Carrier" */
		case "PARAMMenu_Outer_Plate_Carrier":
		/*	============================================ */
			ParameterMenuList[0] = ("STD_CLASS");
			ParameterMenuList[1] = ("PARAM_STRING");			
						
			ParameterMenuList[2] = ("WEIGHT");
			ParameterMenuList[3] = ("PARAM_DOUBLE");
			
			ParameterMenuList[4] = ("MATERIAL");
			ParameterMenuList[5] = ("PARAM_STRING");

			ParameterMenuList[6] = ("LENGTH");
			ParameterMenuList[7] = ("PARAM_DOUBLE");
			
			ParameterMenuList[8] = ("OUTSIDE_DIAMETER");
			ParameterMenuList[9] = ("PARAM_DOUBLE");			
			break;
			
		/*	Super LSD Accessories */
		/**************************/	
			
		/*	============================================ */
		/*	Taper Ring" */
		case "PARAMMenu_Taper_Ring":
		/*	============================================ */		
			ParameterMenuList[0] = ("STD_CLASS");
			ParameterMenuList[1] = ("PARAM_STRING");			
						
			ParameterMenuList[2] = ("WEIGHT");
			ParameterMenuList[3] = ("PARAM_DOUBLE");
			
			ParameterMenuList[4] = ("MATERIAL");
			ParameterMenuList[5] = ("PARAM_STRING");
			
			ParameterMenuList[6] = ("ANGLE");
			ParameterMenuList[7] = ("PARAM_DOUBLE");
			
			ParameterMenuList[8] = ("INSIDE_DIAMETER");
			ParameterMenuList[9] = ("PARAM_DOUBLE");
			
			ParameterMenuList[10] = ("OUTSIDE_DIAMETER");
			ParameterMenuList[11] = ("PARAM_DOUBLE");
			
			ParameterMenuList[12] = ("OVERALL_WIDTH");
			ParameterMenuList[13] = ("PARAM_DOUBLE");
			
			ParameterMenuList[14] = ("THICKNESS");
			ParameterMenuList[15] = ("PARAM_DOUBLE");
			break;

		/*	============================================ */
		/*	LSD Bevel Gear" */
		case "PARAMMenu_LSD_Bevel_Gear":
		/*	============================================ */		
			ParameterMenuList[0] = ("STD_CLASS");
			ParameterMenuList[1] = ("PARAM_STRING");			
						
			ParameterMenuList[2] = ("WEIGHT");
			ParameterMenuList[3] = ("PARAM_DOUBLE");
			
			ParameterMenuList[4] = ("MATERIAL");
			ParameterMenuList[5] = ("PARAM_STRING");

			ParameterMenuList[6] = ("ANGLE");
			ParameterMenuList[7] = ("PARAM_DOUBLE");
			
			ParameterMenuList[8] = ("MAJOR_DIAMETER");
			ParameterMenuList[9] = ("PARAM_DOUBLE");
			
			ParameterMenuList[10] = ("MOUNTING_DISTANCE");
			ParameterMenuList[11] = ("PARAM_DOUBLE");
			
			ParameterMenuList[12] = ("OUTSIDE_DIAMETER");
			ParameterMenuList[13] = ("PARAM_DOUBLE");			
			break;

		/*	Gears */
		/**********/	
			
		/*	============================================ */
		/*	Bevel Side Gear */
		case "PARAMMenu_Bevel_Side_Gear":
		/*	============================================ */		
			ParameterMenuList[0] = ("STD_CLASS");
			ParameterMenuList[1] = ("PARAM_STRING");			
						
			ParameterMenuList[2] = ("WEIGHT");
			ParameterMenuList[3] = ("PARAM_DOUBLE");
			
			ParameterMenuList[4] = ("MATERIAL");
			ParameterMenuList[5] = ("PARAM_STRING");

			ParameterMenuList[6] = ("MAJOR_DIAMETER");
			ParameterMenuList[7] = ("PARAM_DOUBLE");
			
			ParameterMenuList[8] = ("MOUNTING_DISTANCE");
			ParameterMenuList[9] = ("PARAM_DOUBLE");

			ParameterMenuList[10] = ("OUTSIDE_DIAMETER");
			ParameterMenuList[11] = ("PARAM_DOUBLE");

			ParameterMenuList[12] = ("PILOTING_DIAMETER");
			ParameterMenuList[13] = ("PARAM_DOUBLE");			
			break;

		/*	============================================ */
		/*	Bevel_Pinion_Gear */
		case "PARAMMenu_Bevel_Pinion_Gear":
		/*	============================================ */					
			ParameterMenuList[0] = ("STD_CLASS");
			ParameterMenuList[1] = ("PARAM_STRING");			
						
			ParameterMenuList[2] = ("WEIGHT");
			ParameterMenuList[3] = ("PARAM_DOUBLE");
			
			ParameterMenuList[4] = ("MATERIAL");
			ParameterMenuList[5] = ("PARAM_STRING");
				
			ParameterMenuList[6] = ("OUTSIDE_DIAMETER");
			ParameterMenuList[7] = ("PARAM_DOUBLE");
		
			ParameterMenuList[8] = ("SPHERICAL_DIAMETER");
			ParameterMenuList[9] = ("PARAM_DOUBLE");
			break;


		/*	============================================ */
		/*	Planetary Gear */
		case "PARAMMenu_Planetary_Gear":
		/*	============================================ */
			ParameterMenuList[0] = ("STD_CLASS");
			ParameterMenuList[1] = ("PARAM_STRING");
			
			ParameterMenuList[2] = ("WEIGHT");
			ParameterMenuList[3] = ("PARAM_DOUBLE");
			
			ParameterMenuList[4] = ("MATERIAL");
			ParameterMenuList[5] = ("PARAM_STRING");
			
			ParameterMenuList[6] = ("MAJOR_DIAMETER");
			ParameterMenuList[7] = ("PARAM_DOUBLE");
			
			ParameterMenuList[8] = ("MODULE");
			ParameterMenuList[9] = ("PARAM_DOUBLE");
			
			ParameterMenuList[10] = ("NUMBER_OF_TEETH");
			ParameterMenuList[11] = ("PARAM_INTEGER");
			
			ParameterMenuList[12] = ("PRESSURE_ANGLE");
			ParameterMenuList[13] = ("PARAM_DOUBLE");
			
			ParameterMenuList[14] = ("LENGTH");
			ParameterMenuList[15] = ("PARAM_DOUBLE");
			break;
			
		/*	============================================ */
		/*	Sun Gear */
		case "PARAMMenu_Sun_Gear":
		/*	============================================ */
			ParameterMenuList[0] = ("STD_CLASS");
			ParameterMenuList[1] = ("PARAM_STRING");
			
			ParameterMenuList[2] = ("WEIGHT");
			ParameterMenuList[3] = ("PARAM_DOUBLE");
			
			ParameterMenuList[4] = ("MATERIAL");
			ParameterMenuList[5] = ("PARAM_STRING");
			
			ParameterMenuList[6] = ("MAJOR_DIAMETER");
			ParameterMenuList[7] = ("PARAM_DOUBLE");
			
			ParameterMenuList[8] = ("MODULE");
			ParameterMenuList[9] = ("PARAM_DOUBLE");
			
			ParameterMenuList[10] = ("NUMBER_OF_TEETH");
			ParameterMenuList[11] = ("PARAM_INTEGER");
			
			ParameterMenuList[12] = ("PRESSURE_ANGLE");
			ParameterMenuList[13] = ("PARAM_DOUBLE");
			
			ParameterMenuList[14] = ("LENGTH");
			ParameterMenuList[15] = ("PARAM_DOUBLE");
			break;			
							
			
			
			/*	Products */
			/*************/
				/*	Couplings */
				/**************/

		/*	============================================ */
		/*	Viscous Coupling */
		case "PARAMMenu_Viscous_Coupling":
		/*	============================================ */				
			ParameterMenuList[0] = ("STD_CLASS");
			ParameterMenuList[1] = ("PARAM_STRING");			
						
			ParameterMenuList[2] = ("WEIGHT");
			ParameterMenuList[3] = ("PARAM_DOUBLE");	

			ParameterMenuList[4] = ("LENGTH");
			ParameterMenuList[5] = ("PARAM_DOUBLE");
			
			ParameterMenuList[6] = ("LOCKING_TORQUE");
			ParameterMenuList[7] = ("PARAM_INTEGER");

			ParameterMenuList[8] = ("OUTSIDE_DIAMETER");
			ParameterMenuList[9] = ("PARAM_DOUBLE");
			
			ParameterMenuList[10] = ("PROJECT_NO");
			ParameterMenuList[11] = ("PARAM_STRING");	
			
			ParameterMenuList[12] = ("SPEED_DIFFERENCE");
			ParameterMenuList[13] = ("PARAM_INTEGER");			
			break;

		/*	============================================ */
		/*	Differential */
		case "PARAMMenu_Differential":
		/*	============================================ */				
			ParameterMenuList[0] = ("STD_CLASS");
			ParameterMenuList[1] = ("PARAM_STRING");			
						
			ParameterMenuList[2] = ("WEIGHT");
			ParameterMenuList[3] = ("PARAM_DOUBLE");

			ParameterMenuList[4] = ("BEARING_SPAN");
			ParameterMenuList[5] = ("PARAM_DOUBLE");
			
			ParameterMenuList[6] = ("BEARING_DIAMETER");
			ParameterMenuList[7] = ("PARAM_DOUBLE");

			ParameterMenuList[8] = ("DIFFERENTIAL_TYPE");
			ParameterMenuList[9] = ("PARAM_STRING");			

			ParameterMenuList[10] = ("NO_OF_PINION_GEARS");
			ParameterMenuList[11] = ("PARAM_INTEGER");			

			ParameterMenuList[12] = ("PROJECT_NO");
			ParameterMenuList[13] = ("PARAM_STRING");			
			
			ParameterMenuList[14] = ("RING_GEAR_INT_DIAMETER");
			ParameterMenuList[15] = ("PARAM_DOUBLE");

			ParameterMenuList[16] = ("RING_GEAR_PCD");
			ParameterMenuList[17] = ("PARAM_DOUBLE");
	
			ParameterMenuList[18] = ("TORQUE_DISTRIBUTION");
			ParameterMenuList[19] = ("PARAM_STRING");			

			ParameterMenuList[20] = ("SPHERICAL_DIAMETER");
			ParameterMenuList[21] = ("PARAM_DOUBLE");
			break;
	
	}
	
	return ParameterMenuList;
}


function ClassificationList()
{
	TTGClassList = new Array();
	
	TTGClassList[0]="PARAMMenu_SearchParameter";
	TTGClassList[1]="PARAMMenu_MOD";
	TTGClassList[2]="PARAMMenu_UserData"
	TTGClassList[3]="PARAMMenu_SplineSurface";
	TTGClassList[4]="PARAMMenu_Flat_Circlip_Bore";
	TTGClassList[5]="PARAMMenu_Square_Circlip_Bore";
	TTGClassList[6]="PARAMMenu_Round_Wire_Circlip_Bore";
	TTGClassList[7]="PARAMMenu_Common_Bolt";
	TTGClassList[8]="PARAMMenu_Flat_Circlip_Shaft";
	TTGClassList[9]="PARAMMenu_Round_Wire_Circlip_Shaft";
	TTGClassList[10]="PARAMMenu_Square_Circlip_Shaft";
	TTGClassList[11]="PARAMMenu_Common_Bolt";
	TTGClassList[12]="PARAMMenu_Fit_Bolt";
	TTGClassList[13]="PARAMMenu_Threaded_Pin";
	TTGClassList[14]="PARAMMenu_Locking_Screw";
	TTGClassList[15]="PARAMMenu_Common_Nuts";
	TTGClassList[16]="PARAMMenu_Pins";
	TTGClassList[17]="PARAMMenu_X_Ring";
	TTGClassList[18]="PARAMMenu_O_Ring";
	TTGClassList[19]="PARAMMenu_Radial_Sealing";
	TTGClassList[20]="PARAMMenu_Feed_Discs";
	TTGClassList[21]="PARAMMenu_Friction_Inner_Plates";
	TTGClassList[22]="PARAMMenu_Friction_Outer_Plates";
	TTGClassList[23]="PARAMMenu_Visco_Inner_Plates";
	TTGClassList[24]="PARAMMenu_Visco_Outer_Plates";
	TTGClassList[25]="PARAMMenu_Actuator_Input_Disk";
	TTGClassList[26]="PARAMMenu_Actuator_Output_Disk";
	TTGClassList[27]="PARAMMenu_Ball_Cage";
	TTGClassList[28]="PARAMMenu_Gearset";
	TTGClassList[29]="PARAMMenu_Gearwheel";
	TTGClassList[30]="PARAMMenu_Planet_Carrier";
	TTGClassList[31]="PARAMMenu_Thrust_Washers";
	TTGClassList[32]="PARAMMenu_Pump_Disk";
	TTGClassList[33]="PARAMMenu_Compensation_Piston";
	TTGClassList[34]="PARAMMenu_Outer_Plate_Carrier";
	TTGClassList[35]="PARAMMenu_Taper_Ring";
	TTGClassList[36]="PARAMMenu_LSD_Bevel_Gear";
	TTGClassList[37]="PARAMMenu_Bevel_Side_Gear";
	TTGClassList[38]="PARAMMenu_Bevel_Pinion_Gear";
	TTGClassList[39]="PARAMMenu_Viscous_Coupling";
	TTGClassList[40]="PARAMMenu_Differential";
	TTGClassList[41]="PARAMMenu_WT_PART_NO__Material";
	TTGClassList[42]="PARAMMenu_Ball_Bearing";
	TTGClassList[43]="PARAMMenu_Planetary_Gear";
	TTGClassList[44]="PARAMMenu_Sun_Gear";
	TTGClassList[45]="PARAMMenu_Angular_Contact_Ball_Bearing";

	return TTGClassList;
				
}


function UserName(pUNWindows)
{
	//pUNWindows = UserNameWindows
	var FormUserNameList = new Array();
	
	FormUserNameList[0] = "WOERNER";
	FormUserNameList[1] = "FUCHS";
	FormUserNameList[2] = "KATSNELSON";
	FormUserNameList[3] = "BAER";
	FormUserNameList[4] = "KRAMER"
	FormUserNameList[5] = "K.MUELLER"
	FormUserNameList[6] = "GRLICH"
	FormUserNameList[7] = "MERTENS"
	
	var UserNameWindows = new Array();
	
	UserNameWindows[0] = "juergen.woerner";
	UserNameWindows[1] = "heinzwilli.fuchs";
	UserNameWindows[2] = "aleksej.katsnelson";
	UserNameWindows[3] = "andreas.bear";
	UserNameWindows[4] = "fred.kramer";
	UserNameWindows[5] = "kurt.mueller";
	UserNameWindows[6] = "horst.goerlich";
	UserNameWindows[7] = "ralph.mertens";
		
	for (var i=0; i<FormUserNameList.length; i++)
	{
		if (pUNWindows==UserNameWindows[i])
		{
			return FormUserNameList[i];
			break;
		}
	}
	return pUNWindows;
}
//#############################################################################################################
function ParamFilterList()
/*
	arbeitet mit function ParamFilter(pParameter) zusammen
	Parameter, die in der Liste vorkommende werden nicht in der
	dynamischen Tabelle angezeigt
*/
{
	var ParameterFilter = new Array()
	
	ParameterFilter[0] = "LV";
	ParameterFilter[1] = "SV";
	ParameterFilter[2] = "VP";
	ParameterFilter[3] = "MC";
	ParameterFilter[4] = "PTC";
	ParameterFilter[5] = "PROI";
	ParameterFilter[6] = "PDM";
	// ParameterFilter[7] = "BAND_THICKNESS";
	// ParameterFilter[8] = "CLAMP_WIDTH";
	// ParameterFilter[9] = "CLOSED_DIAMETER_MIN";
	// ParameterFilter[10] = "OPENING_POSSIBLE";
	// ParameterFilter[11] = "SUPPLIED_CLAMP_DIAMETER";
	ParameterFilter[7] = "PNT";
	ParameterFilter[8] = "RV";
	
	return ParameterFilter;
}


function ParamFilter (pParameter)
{
	/* 
		pParameter ist ein pfcParameter-Object
	*/
	
	for (var i=0; i<lisParamFilter.length; i++)
	{
		// bei nicht gefunden ist indexOf = -1
		// false : kommt nicht ins Array
		// true  : wird ins Array aufgenommen
		//  0 = false
		// -1 = true

		// 	pfcNamedModelItem.Name			// normal vererbte Eigenschaft
		// 	pfcParameter.Name		
		if (pParameter.Name.indexOf(lisParamFilter[i])==0)
		{
			return false;
		}
	}
	return true;
}


function ParamToDeleteList(pObjectTyp)
{
	var ParameterToDelete = new Array()

	ParameterToDelete[0] = "ADD_PART_NO";
	ParameterToDelete[1] = "CHECKED_BY";
	ParameterToDelete[2] = "CHECKED_DATE";
	ParameterToDelete[3] = "COMMENT_LOC_1";
	ParameterToDelete[4] = "COMMENT_LOC_2";
	ParameterToDelete[5] = "CONTROL_STD";
	ParameterToDelete[6] = "CUSTO_APPL";
	ParameterToDelete[7] = "DESCR_GB";
	ParameterToDelete[8] = "DIN";
	ParameterToDelete[9] = "DIVISIONAL_CODE";
	
	ParameterToDelete[10] = "GKN_COPYRIGHT_YEAR";
	ParameterToDelete[11] = "HEAT_TREATMENT";
	ParameterToDelete[12] = "HEAT_TREATMENT_DEF";
	ParameterToDelete[13] = "IBJ_SIZE";
	ParameterToDelete[14] = "IBJ_TYPE";
	ParameterToDelete[15] = "ITEM_NO";
	ParameterToDelete[16] = "ITEM_NO_RELATED";
	ParameterToDelete[17] = "JOINT_SIZE";
	ParameterToDelete[18] = "JOINT_TYPE";
	ParameterToDelete[19] = "MATERIAL_ADDSTD";
	
	ParameterToDelete[20] = "MATERIAL_NAME";
	ParameterToDelete[21] = "MATERIAL_NAME_DEF";
	ParameterToDelete[22] = "MATERIAL_SIZE";
	ParameterToDelete[23] = "OBJ_SIZE";
	ParameterToDelete[24] = "OBJ_TYPE";
	ParameterToDelete[25] = "PART_NO";
	ParameterToDelete[26] = "PROJECT";
	ParameterToDelete[27] = "RAW_MATERIAL";
	ParameterToDelete[28] = "RAW_MATERIAL_DOC";
	ParameterToDelete[29] = "RELEASED_BY";
	
	ParameterToDelete[30] = "RELEASED_DATE";
	ParameterToDelete[31] = "SIZE";
	ParameterToDelete[32] = "STATUS";
	ParameterToDelete[33] = "SUBSTITUTE";
	ParameterToDelete[34] = "TOLERANCE_TABLE";
	ParameterToDelete[35] = "TYPE_SIZE";
	ParameterToDelete[36] = "ADD_DOK_NO";
	
	if (ObjectTyp=="PRT" || ObjectTyp=="ASM")
	{
		ParameterToDelete[37] = "MOD_BY";
		ParameterToDelete[38] = "MOD_DATE";
		ParameterToDelete[39] = "MOD_NO";
		ParameterToDelete[40] = "MOD_REVISION";
		ParameterToDelete[41] = "MOD_TEXT";
	}

	return ParameterToDelete;
}	


function ParamTTGList()
{		
	ParameterTTGList = new Array;
	
	ParameterTTGList[0]="APPLICATION";
	ParameterTTGList[1]="CUSTOMER";
	ParameterTTGList[2]="DESIGNATION";
	ParameterTTGList[3]="GKN_PROJECT_NO";
	ParameterTTGList[4]="LOCAL_PROJECT_NO";
	ParameterTTGList[5]="OBJECT_CODE";
	ParameterTTGList[6]="PTC_COMMON_NAME";
	ParameterTTGList[7]="WT_PART_NO";
	ParameterTTGList[8]="MATERIAL";
	ParameterTTGList[9]="WEIGHT";
	
	return ParameterTTGList;
}


function GKNDatum()
{
	// Datum
	var GKNDatum = null
	var Jetzt = new Date();
	var Tag = Jetzt.getDate();
	if(Tag<10) Tag = "0" + Tag;
	var Monat = Jetzt.getMonth() +1;
	if(Monat<10) Monat = "0" + Monat;
	var Jahr = Jetzt.getYear();

	if (Jahr < 1900) 
	{
		Jahr += 1900;
	}
	GKNDatum = Jahr + "-" + Monat + "-" + Tag
	return GKNDatum;
}
//#############################################################################################################

function CloseWindow()
{
	CurWind.SetBrowserSize(120);
	CurWind.SetBrowserSize(0);
}
//#############################################################################################################

function SheetSize(SheetData)
{
	if (SheetData.Units.GetType() == pfcCreate("pfcLengthUnitType").LENGTHUNIT_MM)
	{
		// die Blatt-Gre bestimmen
		// alert(SheetData.Width);
		// alert(SheetData.Height);
		// width x height
		// A3 420  x 297
		// A2 594  x 420
		// A1 841  x 594
		// A0 1189 x 841

		var oSheetSize = "unknown";
		
		//alert(SheetData.Width);
		//alert(SheetData.Height);
		
		if ((SheetData.Width >= 418 && SheetData.Width <= 422) && (SheetData.Height >= 295 && SheetData.Height <= 299))
		{
			return "A3";
		}
		if ((SheetData.Width >= 592 && SheetData.Width <= 596) && (SheetData.Height >= 418 && SheetData.Height <= 422))
		{
			return "A2";
		}
		if ((SheetData.Width >= 839 && SheetData.Width <= 843) && (SheetData.Height >= 592 && SheetData.Height <= 596))
		{
			return "A1";
		}
		if ((SheetData.Width >= 1187 && SheetData.Width <= 1191) && (SheetData.Height >= 839 && SheetData.Height <= 843))
		{
			return "A0";			
		}
	}
	else
	{
		alert ("This utility only handles mm drawings");
	}
}

/*	============================================================================================ */
function SetParamValue(pParamName, pParamValue, pParamType)
{	
	/*	SetValue commands	*/
	var Param = CurModel.GetParam(pParamName);
	var CurParamValue = Param.Value;
	
	switch(pParamType)
	{
		case "PARAM_DOUBLE":
			if (CheckDoubleValue(pParamValue) != null)
			{
				CurParamValue.DoubleValue = CheckDoubleValue(pParamValue);
			}
			else
			{
				alert ("Failed to assign value to "+input_control[i].pParamName); // das geht so nicht, keine Steuerlemnmente von der html seite
			}
		break;
		case "PARAM_INTEGER":
			if (CheckIntegerValue(pParamValue) != null)
			{
				CurParamValue.IntValue = CheckIntegerValue(pParamValue);
			}
			else
			{
				alert ("Failed to assign value to "+input_control[i].pParamName); // das geht so nicht, keine Steuerlemnmente von der html seite
			}
		break;
		case "PARAM_STRING":
			CurParamValue.StringValue = pParamValue;
		break;
		case "PARAM_BOOLEAN":
			CurParamValue.BoolValue = pParamValue;
		break;
		default:
			alert ("Couldn't identify parameter type....error code");
		break;
	}
	
	try
	{
		Param.Value = CurParamValue;
	}
	catch(er)
	{
			alert("Couldn't assign param.Value for "+ParamValueTextInput[i].pParamName);
	}
	
}	

/*	============================================================================================ */
function GetParamValue(pParameter)
/*
	es wird ein pfcParameter-Object (= pParameter) bergeben und 
	als Rckgabe liefert die Funktion den Wert (Inhalt) des Parameters
*/

/*
	Values
	PARAM_STRING 
	The parameter is a string value.

	PARAM_INTEGER 
	The parameter has an integer value.

	PARAM_BOOLEAN 
	The parameter has a Boolean value.

	PARAM_DOUBLE 
	The parameter has a real value
*/
{
	try
	{
		//                 pfcBaseParameter.Value	// normal vererbte Eigenschaft
		//                 pfcParameter.Value
		var ParameterValue = pParameter.Value;
		// ParameterValue=pfcParamValue-Object
			
		switch (ParameterValue.discr)
		{
			case pfcCreate("pfcParamValueType").PARAM_STRING:
				return ParameterValue.StringValue;
			break;
			
			case pfcCreate("pfcParamValueType").PARAM_INTEGER:
				return ParameterValue.IntValue;
			break;
			
			case pfcCreate("pfcParamValueType").PARAM_BOOLEAN:
				return ParameterValue.BoolValue;
			break;
			
			case pfcCreate("pfcParamValueType").PARAM_DOUBLE:
				return ParameterValue.DoubleValue;
			break;
		}
		return null;
	}
	catch(er)
	{}
}

/*	============================================================================================ */
function GetTypeForParam(pParameter)
/*	stellt den Typ eines Parameters fest	*/
{

	//alert(pParameter.Name);
	var ParameterValue = pParameter.Value;
	switch (ParameterValue.discr)
	{
		case pfcCreate("pfcParamValueType").PARAM_STRING:
			return "PARAM_STRING";
		break;
		case pfcCreate("pfcParamValueType").PARAM_INTEGER:
			return "PARAM_INTEGER";
		break;
		case pfcCreate("pfcParamValueType").PARAM_BOOLEAN:
			return "PARAM_BOOLEAN";
		break;
		case pfcCreate("pfcParamValueType").PARAM_DOUBLE:
			return "PARAM_DOUBLE";
		break;
	}
	return null;
}

/*	============================================================================================ */
function CreateParameter(pParamName, pParamType, pParamValue)
{

	var Sucessful = true;
	var Message;
	
	switch (pParamType)
	{
	case "PARAM_STRING":
		var ParamValue = pfcCreate("MpfcModelItem").CreateStringParamValue(pParamValue);
		break;
	case "PARAM_INTEGER":
	
		//Kontrolle ob Typen vertrglich sind !!
		if (CheckIntegerValue(pParamValue) != null)
		{
			var ParamValue = pfcCreate("MpfcModelItem").CreateIntParamValue(pParamValue);
		}
		else
		{
			alert ("Failed to assign Integer-Value " + pParamValue + " to " + pParamName);
			Sucessful=false;
		}
		break;
		
	case "PARAM_DOUBLE":
	
		//Kontrolle ob Typen vertrglich sind !!

		if (CheckDoubleValue(pParamValue) != null)
		{
			var ParamValue = pfcCreate("MpfcModelItem").CreateDoubleParamValue(pParamValue);
		}
		else
		{
			alert ("Failed to assign Double-Value " + pParamValue + " to " + pParamName);
			Sucessful=false;
		}
		break;
	
	case "PARAM_BOOLEAN":

		if (CheckBoolValue(pParamValue) != null)
		{
			var ParamValue = pfcCreate("MpfcModelItem").CreateBoolParamValue(false);
		}
		else
		{
			alert ("Failed to assign Boolean " + pParamValue + " to " + pParamName);
			Sucessful=false;		
		}
		break;		
	}	
	
	try
	{	
		if (Sucessful==true)
		{
			CurModel.CreateParam(pParamName, ParamValue);
			return "Ok";
		}
	}
	catch(er)
	{
		Message = "Parameter "+pParamName+" maybe already exists";
		return Message;
	}
}

/*	============================================================================================ */

function DeleteParameter (pParameterName)
{
	//Delete commands

	try
	{
		var Param = CurModel.GetParam(pParameterName);
		Param.Delete();
	}
	catch(er)
	{
		alert ("Could not delete "+pParameterName);
	}
}

/*	============================================================================================ */



/*
===================================================================================================
 __  __       _   _                          _   _          
|  \/  |     | | | |                        | | (_)         
| \  / | __ _| |_| |__   ___ _ __ ___   __ _| |_ _  ___ ___ 
| |\/| |/ _` | __| '_ \ / _ \ '_ ` _ \ / _` | __| |/ __/ __|
| |  | | (_| | |_| | | |  __/ | | | | | (_| | |_| | (__\__ \
|_|  |_|\__,_|\__|_| |_|\___|_| |_| |_|\__,_|\__|_|\___|___/

===================================================================================================
*/


function dezRound(num,pos) 
{ 
	if (pos<0) 
	{ 
		pos=Math.pow(10,Math.abs(pos)); 
		return Math.round(num/pos)*pos; 
	} 
	else if	(pos>0) 
	{ 
		pos=Math.pow(10,pos); 
		return Math.round(num*pos)/pos; 
	} 
	else 
	{ 
		return Math.round(num); 
	} 
}


function CheckDoubleValue(Input)
{
	if (Input.length==0)
	{
		return null;
	}
	var Output = Input;
	try
	{
		Output = Output.replace(",",".");
		Output = parseFloat(Output);
		var test = Output;//5;
		if (isNaN(test))
		return null;
	}
	catch (er)
	{}
	return Output;
}
/*	============================================================================================ */

function CheckIntegerValue(Input)
{
	if (Input.length==0)
	{
		return null;
	}
	var Output = Input;
	try
	{
		Output = Output.replace(",",".");
		Output = parseInt(Output);
		var test = Output/5;
		if (isNaN(test))
			return null;
	}
	catch (er)
	{}

	return Output;
}

/*	============================================================================================ */

function CheckBoolValue(Input)
{
	if (Input.length==0)
	{
		return null;
	}
	var Output = Input;
	try
	{
		if (Output != true && Output != false)
			return null;
	}
	catch (er)
	{}

	return Output;
}
//#############################################################################################################

function numbersOnly(el)
{	
	el.value = el.value.replace(/[^0-9.]/g, "");
}

//#############################################################################################################

// removes leading and ending blanks from a string
function trimBlanks(s) 
{
  while (s.substring(0,1) == ' ') {
    s = s.substring(1,s.length);
  }
  while (s.substring(s.length-1,s.length) == ' ') {
    s = s.substring(0,s.length-1);
  }
  return s;
}

//#############################################################################################################

function FSOCreateTextFile(pPfad, pDatei)
{
	var Pfad = pPfad.substring(1, pPfad.lastIndexOf("\\" ));
	fso = new ActiveXObject("Scripting.FileSystemObject");
	fso.CreateTextFile(Pfad+"\\"+pDatei,true ,false) 
	return;
}

function TextStreamWrite(pPfad, pDatei, pText)
{
	var Pfad = pPfad.substring(1, pPfad.lastIndexOf("\\" ));
		
	fso = new ActiveXObject("Scripting.FileSystemObject");
	a = fso.GetFile(Pfad+"\\"+pDatei);
	b = a.OpenAsTextStream(8);
	b.write(pText);
	b.WriteBlankLines(1);
	b.close();
	
	return;
}

//#############################################################################################################

function createFilename(pPathName)
{

	//alert("createFilename");

	if ((pPathName.lastIndexOf("/")) != -1)
	{
		return pPathName.substr(pPathName.lastIndexOf("/")+1,pPathName.length);
	}
	
	if ((pPathName.lastIndexOf("\\")) != -1)
	{
		return pPathName.substr(pPathName.lastIndexOf("\\")+1,pPathName.length);
	}
	
	return "unknown path";

}

//#############################################################################################################


function TimeDifference(pStartTime, pEndTime)
{
	var Minutes = 0;
	var Seconds = 0;
	
	var Duration = (pEndTime - pStartTime);
	
	Seconds = Math.floor(Duration / 1000);
	if (Seconds >= 60)
	{
		Minutes = Math.floor(Seconds / 60);
		Seconds = Seconds % 60;
		
		return (Minutes + " min " + Seconds + " sek");
	}
	else
	{
		return (Seconds + " sek");
	}
}

/*	===============================================================================================
	***********************************************************************************************
	myBubbleSort sorts an array in alphanumeric order
	*****
	************************************************************************************************
*/
 function myBubbleSort(pArray) 
{
	
	lengthArr = pArray.length;	
	
   for (var i=0; i<(lengthArr-1); i++)
	{
		for (var j=i+1; j<lengthArr; j++)
		{
			if (pArray[j] < pArray[i]) 
			{
				 var dummy = pArray[i];
				 pArray[i] = pArray[j];
				 pArray[j] = dummy;
			}
		}
	}
	
	return pArray
}


//#############################################################################################################
function isProEEmbeddedBrowser ()
{
  if (top.external && top.external.ptc)
    return true;
  else
    return false;
}
//#############################################################################################################

//Self-Optimizing Versions of standard PTC utility Functions
function pfcIsWindows()
{
	if (navigator.appName.indexOf ("Microsoft") != -1)
	{
		pfcIsWindows = function(){
							return true;
						};
	}
	else
	{
		pfcIsWindows = function(){
							return false;
							};
	}
	return pfcIsWindows();
}
//#############################################################################################################

function pfcCreate(className)
{
	if (!pfcIsWindows())
	{
		pfcCreate = function(className){
						netscape.security.PrivilegeManager.enablePrivilege("UniversalXPConnect");
						ret = Components.classes ["@ptc.com/pfc/" + className + ";1"].createInstance();
						return ret;
					};
	}
	else
	{
		pfcCreate = function(className){
						return new ActiveXObject ("pfc."+className);
					};
	}
	return pfcCreate(className);
}
//#############################################################################################################

function pfcGetProESession ()
{
  if (!isProEEmbeddedBrowser ())
    {
      throw new Error ("Not in embedded browser.  Aborting...");
    }
  
  // Security code
  if (!pfcIsWindows())
    netscape.security.PrivilegeManager.enablePrivilege("UniversalXPConnect");
  
  var glob = pfcCreate ("MpfcCOMGlobal");
  return glob.GetProESession();
}
//#############################################################################################################

function pfcGetScript ()
{  
  if (!isProEEmbeddedBrowser ())
    {
      throw new Error ("Not in embedded browser.  Aborting...");
    }
  
  // Security code
  if (!pfcIsWindows())
    netscape.security.PrivilegeManager.enablePrivilege("UniversalXPConnect");
  
  var glob = pfcCreate ("MpfcCOMGlobal");
  return glob.GetScript();
}
//#############################################################################################################

function pfcGetExceptionType (err)
{
  if (pfcIsWindows())
    return (err.description);
  else
    {
      errString = err.message;
   // This should remove the XPCOM prefix ("XPCR_C")
      if (errString.search ("XPCR_C") == 0)
      	return (errString.substr(6));
      else 
	return (errString);
    }
}